%global gem_name activemodel

%bcond_with bootstrap

Name:		rubygem-%{gem_name}
Version: 	7.0.7
Release:	1
Summary:	A toolkit for building modeling frameworks (part of Rails)
License:	MIT
URL:		http://rubyonrails.org
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
# The gem doesn't ship with the test suite.
# You may check it out like so
# git clone https://github.com/rails/rails.git
# cd rails/activemodel && git archive -v -o activemodel-7.0.4-tests.txz v7.0.4 test/
Source1:	%{gem_name}-%{version}-tests.txz
# The tools are needed for the test suite, are however unpackaged in gem file.
# You may check it out like so
# git clone http://github.com/rails/rails.git --no-checkout
# cd rails && git archive -v -o rails-7.0.4-tools.txz v7.0.4 tools/
Source2:	rails-%{version}-tools.txz

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	ruby >= 2.2.2
BuildRequires:	rubygem(activesupport) = %{version}
%if %{without bootstrap}
BuildRequires:	rubygem(railties) = %{version}
%endif
BuildRequires:	rubygem(bcrypt) => 3.1.2
BuildRequires:	rubygem(builder)
BuildArch:	noarch

%description
A toolkit for building modeling frameworks like Active Record. Rich support
for attributes, callbacks, validations, serialization, internationalization,
and testing.

%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b1 -b2

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ln -s %{_builddir}/tools ..
mv %{_builddir}/test .

%if %{with bootstrap}
mv ./test/cases/railtie_test.rb{,.disable}
%endif

ruby -Ilib:test -e "Dir.glob('./test/**/*_test.rb').sort.each {|t| require t}"
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.rdoc

%changelog
* Fri Aug 18 2023 yaoxin <yao_xin001@hoperun.com> - 7.0.7-1
- Upgrade to 7.0.7

* Thu Jan 19 2023 wangkai <wangkai385@h-partners.com> - 7.0.4-1
- Upgrade to version 7.0.4

* Mon May 02 2022 wangkerong <wangkerong@h-partners.com>- 6.1.4.1-1
- Upgrade to 6.1.4.1
 
* Mon Feb 8 2021 sunguoshuai <sunguoshuai@huawei.com>- 5.2.4.4-1
- Upgrade to 5.2.4.4

* Sat Aug 8 2020 chengzihan <chengzihan2@huawei.com> - 5.2.3-1
- Package init
